/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: block;
}

.title {
  font-weight: 600;
}

.list {
  display: flex;
  flex-flow: row wrap;
  padding: 0.25em;
}

.list--element {
  flex: 0 1 calc(100% / 3 - 1.5em);
  display: flex;
  min-width: 15em;
  align-items: center;
  margin-right: 0.5em;
}

.list--element--text {
  overflow: hidden;
  text-overflow: ellipsis;
}

.list--element--text---line-through {
  text-decoration: line-through;
}

.list--element--icon {
  width: initial;
  height: initial;
  font-size: 0.5em;
  margin-right: 1em;
}
